<?php

namespace Versae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * FormInputsFixture
 */
class FormInputsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'form_fieldset_id' => 1,
                'name' => 'input_test',
                'type' => 'text',
                'ord' => 1,
                'label' => 'Lorem ipsum dolor sit amet',
                'default_value' => 'Lorem ipsum dolor sit amet',
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => '',
                'placeholder' => 'Lorem ipsum dolor sit amet',
                'help' => 'Lorem ipsum dolor sit amet',
                'app_meta' => '{"select2": true}',
                'form_id' => 1,
                'multiple' => false,
            ],
            [// id=2
                'form_fieldset_id' => 2,
                'name' => 'input_test',
                'type' => 'text',
                'ord' => 1,
                'label' => 'Lorem ipsum dolor sit amet',
                'default_value' => 'Lorem ipsum dolor sit amet',
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => '',
                'placeholder' => 'Lorem ipsum dolor sit amet',
                'help' => 'Lorem ipsum dolor sit amet',
                'app_meta' => '[]',
                'form_id' => 5,
                'multiple' => false,
            ],
            [// id=3
                'form_fieldset_id' => 3,
                'name' => 'input_test',
                'type' => 'file',
                'ord' => 1,
                'label' => 'Lorem ipsum dolor sit amet',
                'default_value' => 'Lorem ipsum dolor sit amet',
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => '',
                'placeholder' => 'Lorem ipsum dolor sit amet',
                'help' => 'Lorem ipsum dolor sit amet',
                'app_meta' => '[]',
                'form_id' => 6,
                'multiple' => false,
            ],
            [// id=4
                'form_fieldset_id' => 1,
                'name' => 'input_test_file',
                'type' => 'file',
                'ord' => 2,
                'label' => 'Lorem ipsum dolor sit amet',
                'default_value' => 'Lorem ipsum dolor sit amet',
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => '',
                'placeholder' => 'Lorem ipsum dolor sit amet',
                'help' => 'Lorem ipsum dolor sit amet',
                'app_meta' => '{"select2": true}',
                'form_id' => 1,
                'multiple' => false,
            ],
            [// id=5
                'form_fieldset_id' => 4,
                'name' => 'Titre',
                'type' => 'text',
                'ord' => 0,
                'label' => 'Titre',
                'default_value' => null,
                'required' => true,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 7,
                'multiple' => false,
            ],
            [// id=6
                'form_fieldset_id' => 5,
                'name' => 'Commentaire',
                'type' => 'text',
                'ord' => 0,
                'label' => 'Commentaire',
                'default_value' => null,
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 7,
                'multiple' => false,
            ],
            [// id=7
                'form_fieldset_id' => 5,
                'name' => 'fichier',
                'type' => 'file',
                'ord' => 1,
                'label' => 'fichier',
                'default_value' => null,
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 7,
                'multiple' => false,
            ],
            [// id=8
                'form_fieldset_id' => 5,
                'name' => 'number',
                'type' => 'number',
                'ord' => 2,
                'label' => 'number',
                'default_value' => null,
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '{"max": "100","min": "2","step":"2"}',
                'form_id' => 7,
                'multiple' => false,
            ],
            [// id=9
                'form_fieldset_id' => 5,
                'name' => 'fichier_multi',
                'type' => 'file',
                'ord' => 3,
                'label' => 'fichier',
                'default_value' => null,
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 7,
                'multiple' => true,
            ],
            [// id=10
                'form_fieldset_id' => 6,
                'name' => 'simple_text',
                'type' => 'text',
                'ord' => 0,
                'label' => 'simple_text',
                'default_value' => null,
                'required' => false,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 9,
                'multiple' => false,
            ],
            [// id=11
                'form_fieldset_id' => 6,
                'name' => 'simple_file',
                'type' => 'file',
                'ord' => 1,
                'label' => 'simple_file',
                'default_value' => null,
                'required' => true,
                'readonly' => false,
                'disable_expression' => '[]',
                'pattern' => null,
                'placeholder' => null,
                'help' => null,
                'app_meta' => '[]',
                'form_id' => 9,
                'multiple' => false,
            ],
        ];
        parent::init();
    }
}
